import { RouteDataSource } from "../../domain/datasource/route_datasource";
import { RouteRepository } from "../../domain/repositories/route_repository";

export class RouteRepositoryImpl implements RouteRepository {
  constructor(private routeDataSource: RouteDataSource) {}
  async saveRoute(id: number): Promise<void> {
    return this.routeDataSource.saveRoute(id);
  }
  async generateRoute(townId: number, startTime: number, endTime: number) {
    return this.routeDataSource.generateRoute(townId, startTime, endTime);
  }
  async getRoute(routeId: number) {
    return this.routeDataSource.getRoute(routeId);
  }
}
